httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rasmus Lerdorf <ras...@lerdorf.on.ca>
Subject Re: [Fwd: [dav-announce] Release: mod_dav 0.9.6-1.3.4]
Date Sun, 31 Jan 1999 14:18:28 GMT
> >    - strip down Expat to a libexpat which can be included it into the source
> >      tree (e.g. under src/expat/). That's reasonable because other modules
> >      then can use this nice XML parser library, too. Let the compilation of
> >      this library triggered by a "Rule EXPAT=yes". Expat is under the MPL I
> >      think, right?
> 
> Expat is MPL, but has recently picked up an option for electing to use
> the GPL instead. The MPL 1.0 is "undesirable" for Apache, and GPL is
> incompatible. Once MPL 2.0 comes out, then it may be okay to package
> with Apache.
> 
> If Expat is determined as compatible with Apache, then it can certainly
> be stripped down. I believe there are only a dozen relevant files. I
> will investigate creating an Expat library for Apache, along the
> src/expat/ line that you suggest. Despite any compatibility issue, it
> could be a nice choice for "third party" modules.

Yes, PHP is starting to use libexpat more and more as well.  Up until
version 3.0.6 we only used it for the XML parsing within PHP, but we just
added WDDX support which also uses libexpat.  So, as far as I am
concerned, I wouldn't mind it being available with Apache.

-Rasmus


Mime
View raw message